/*
 * Copyright (C) 1996,1997,1998
 *	SHUDOH Kazuyuki
 *
 * Permission to use, copy, modify and distribute this software
 * and its documentation for non-commercial purposes and without
 * fee is hereby granted provided this copyright notice.
 *
 * $Id$
 */

#include <stdio.h>	/* for NULL */

extern int validAddress(void *addr);

static void validate(void *addr);


int main(int argc, char *argv) {
  char *addr;

  addr = (char *)NULL;
  validate((void *)addr);

  addr = (char *)1;
  validate((void *)addr);

  addr = (char *)malloc(100);
  validate((void *)addr);
}


static void validate(void *addr) {
  if (validateAddress(addr)) {
    printf("valid:   0x%x\n", (int)addr);
  }
  else {
    printf("invalid: 0x%x\n", (int)addr);
  }
  fflush(stdout);
}
